version: '3.8'
name: ucam-observe

services:
  tox:
    build:
      context: .
      dockerfile: ./Dockerfile
    entrypoint: []
    command: ["tox"]
    environment:
      - TOXINI_WORK_DIR=/tmp/tox-data/work
      - TOXINI_ARTEFACT_DIR=/tmp/tox-data/artefacts
      - TOXINI_SITEPACKAGES=True
      - COVERAGE_FILE=/tmp/tox-data/coverage
    volumes:
      - type: bind
        source: .
        target: /usr/src/app/
        read_only: true
      - tox-data:/tmp/tox-data

volumes:
  # A persistent volume for tox to store its stuff. This allows caching of
  # virtualenvs between runs.
  tox-data: {}
